---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - e9924d02-1de8-54ae-b747-f1bae8ae18b6
      tier: AATSR_CMP_MONTH
      value: 0.03333333507180214
    brdf:
      alpha_1:
        band_1: 0.2715106287537874
        band_11: 0.1150195648499436
        band_12: 0.10981394395050288
        band_2: 0.2715106287537874
        band_3: 0.40149048765297424
        band_4: 0.230975752353991
        band_5: 0.230975752353991
        band_6: 0.230975752353991
        band_7: 0.5019813888270498
        band_8: 0.5019813888270498
        band_8a: 0.5019813888270498
      alpha_2:
        band_1: 0.2394378424143117
        band_11: 0.23543707843545217
        band_12: 0.25044923753899695
        band_2: 0.2394378424143117
        band_3: 0.22440195834859167
        band_4: 0.2532284927798517
        band_5: 0.2532284927798517
        band_6: 0.2532284927798517
        band_7: 0.16846854173559256
        band_8: 0.16846854173559256
        band_8a: 0.16846854173559256
      id:
      - a1f94443-15b5-5fe5-80ab-cdc7130326ca
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 11d6a227-f723-5b6c-8e62-f85e958cc0ee
      tier: DEFINITIVE
      value: 0.252
    water_vapour:
      id:
      - c01c8fec-2212-5a3e-a930-f6bb59dbafa8
      tier: DEFINITIVE
      value: 5.729999923706055
  id: 4312e25a-146e-4b3e-9e11-e366299fccef
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2003.0850366550767
      BAND-11: 246.35045406595117
      BAND-12: 86.19136644468549
      BAND-2: 2056.801948434187
      BAND-3: 1927.4068594019618
      BAND-4: 1573.3106124450342
      BAND-5: 1452.6064581311769
      BAND-6: 1328.1118610184103
      BAND-7: 1220.768045206712
      BAND-8: 1073.3699144050574
      BAND-8A: 978.5023975449695
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-01-25 01:11:43.622647Z
    atime: 2022-05-26 13:01:35Z
    ctime: 2022-01-25 05:03:51Z
    mtime: 2022-01-25 05:03:45Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20220125T010719_N0301_R045_T53KQB_20220125T020725.zip
  system_information:
    hostname: gadi-cpu-clx-1374.gadi.nci.org.au
    runtime_id: f90b06ae-dcf3-11ec-b35e-0000008cfe80
    time_processed: 2022-05-26 13:01:35.492964Z
    uname: 'Linux gadi-cpu-clx-1374.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 11.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 6
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20220125T020725_A025525_T53KQB_N03.01
  ref_date: '2014-07-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/072/LC81000722014182LGN00_B6.TIF
  residual:
    abs:
      x: 4.06
      xy: 23.7
      y: 23.35
    abs_iterative_mean:
      x: 3.05
      xy: 22.97
      y: 22.77
    cep90: 27.29
    iterative_mean:
      x: 3.05
      xy: 22.97
      y: -22.77
    iterative_stddev:
      x: 2.28
      xy: 4.21
      y: 3.54
    mean:
      x: 3.81
      xy: 23.65
      y: -23.35
    stddev:
      x: 4.01
      xy: 5.9
      y: 4.33
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 24.814204332434198
    cloud: 69.03765415509571
    cloud_shadow: 2.0675943344580805
    snow: 4.066754921184734
    water: 0.013792256827283253
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 6.873182238944131
    cloud: 93.12681776105588
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
